/**
* Copyright (c) 2020 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

:host {

  --size: 56px;
  --background-color: var(--nv-theme-alt-2);
  --font-size: 34px;
  --font-size-sm: 22px;

  background-color: var(--background-color);
  border-radius: 50%;
  color: var(--nv-type-primary);
  display: inline-block;
  height: var(--size);
  min-width: var(--size);
  position: relative;
  vertical-align: top;
  width: var(--size);
}

.nv-avatar-content {
  align-items: center;
  border-radius: 50%;
  display: flex;
  height: 100%;
  overflow: hidden;
  text-align: center;
}

.nv-badge {
  position: absolute;
  right: -8px;
  top: -8px;
}

span {
  font-family: 'FiraGO Light Italic';
  font-size: var(--font-size);
  width: 100%;
}

img {
  height: 100%;
  object-fit: cover;
  object-position: center;
  width: 100%;
}

// 
// Sizes
//

:host(.nv-avatar-sm) {
  height: 32px;
  min-width: 32px;
  width: 32px;

  span {
    font-size: var(--font-size-sm);
  }
}

:host(.nv-avatar-lg) {
  height: 80px;
  min-width: 80px;
  width: 80px;
}
